<?xml version="1.0" encoding="utf-8"?>
<!--
Copyright (c) 2004 The JA-SIG Collaborative.  All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.

3. Redistributions of any form whatsoever must retain the following
   acknowledgment:
   "This product includes software developed by the JA-SIG Collaborative
   (http://www.jasig.org/)."

THIS SOFTWARE IS PROVIDED BY THE JA-SIG COLLABORATIVE "AS IS" AND ANY
EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JA-SIG COLLABORATIVE OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

Author: Justin Tilton, jet@immagic.com
		Jon Allen, jfa@immagic.com
Version $Revision: 1.57.2.6 $
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<!--<xsl:output method="html" indent="no"/>-->
	<!--These variables and parameters are used in all modes-->
	<xsl:param name="baseActionURL" select="'render.userLayoutRootNode.uP'"/>
	<!--modes: view (default), preferences, fragment-->
	<xsl:variable name="mode" select="/layout/@mode"/>
	<!-- <xsl:variable name="mediaPath">/home/immdca13/workspace/portal/webpages/media/org/jasig/portal/layout/AL_TabColumn/integratedModes</xsl:variable> -->
	<xsl:param name="mediaPath">media/org/jasig/portal/layout/AL_TabColumn/integratedModes</xsl:param>
	<xsl:param name="skin" select="'divs'"/>
	<xsl:variable name="mediaPathSkin" select="concat($mediaPath,'/',$skin,'/skin')"/>
	<!--<xsl:variable name="mediaPathBorder" select="concat($mediaPath,'/',$skin)"/>-->
	<xsl:variable name="mediaPathHeader" select="concat($mediaPath,'/',$skin,'/institutional')"/>
	<xsl:variable name="mediaPathMainBorder" select="concat($mediaPath,'/',$skin,'/mainBorder')"/>
	<xsl:variable name="mediaPathColumnBorder" select="concat($mediaPath,'/',$skin,'/columnBorder')"/>
	<xsl:variable name="mediaPathControls" select="concat($mediaPath,'/',$skin,'/controls')"/>
	<xsl:variable name="mediaPathIcons" select="concat($mediaPath,'/',$skin,'/icons')"/>
	<xsl:param name="errorMessage" select="'no errorMessage passed'"/>
	<!-- <xsl:param name="errorMessage"> newNodID= <xsl:value-of select="/layout/@newNodeID"/> focusedTabID=<xsl:value-of select="/layout/@focusedTabID"/></xsl:param> -->
	<xsl:param name="authenticated" select="/layout/@authenticated"/>
	<xsl:param name="authorizedChannelPublisher" select="'false'"/>
	<xsl:param name="authorizedFragmentPublisher" select="'false'"/>
	<xsl:param name="userName" select="'Guest'"/>
	<!--These variables and parameters are used in fragment mode-->
	<xsl:param name="currentFragmentID" select="'default_layout'"/>
	<!--These variables and parameters are used in preferences mode-->
	<xsl:param name="moveID" select="/layout/@selectedID"/>
	<xsl:param name="selectedID" select="/layout/@selectedID"/>
	<xsl:param name="focusedTabID" select="/layout/@focusedTabID"/>
	<xsl:param name="targetRestriction" select="/layout/@targetRestriction"/>
	<xsl:param name="targetAction" select="/layout/@targetAction"/>
	<!-- Commented out due to lack of evidence that it is used anywhere
	<xsl:variable name="unauthenticated" select="/layout/@unauthenticated"/>
	-->
	<xsl:variable name="userLayoutRoot" select="/layout/@userLayoutRoot"/>
	<xsl:param name="channelPublishID" select="'no channelPublishID passed'"/>
	<!-- <xsl:param name="uP_fragmentPublishID" select="'no fragmentPublishID passed'"/> -->
	<!--  <xsl:param name="uP_fragmentRootID" select="'no fragmentRootID passed'"/> -->
	<!--  Used for detached content  -->
	<xsl:template match="layout_fragment">
		<html>
			<head>
				<title>
					<xsl:value-of select="content/channel/@name"/>
				</title>
				<META HTTP-EQUIV="expires" CONTENT="Wed, 26 Feb 1997 08:21:57 GMT"/>
				<META HTTP-EQUIV="pragma" CONTENT="no-cache"/>
				<link type="text/css" rel="stylesheet" href="{$mediaPath}/{$skin}/skin/{$skin}.css"/>
				<link type="text/css" rel="stylesheet" href="{$mediaPath}/{$skin}/skin/{$skin}_portlet.css"/>
			</head>
			<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" class="uportal-background-content">
				<table width="100%" border="1" cellspacing="0" cellpadding="10">
					<tr class="uportal-background-content">
						<td class="uportal-background-content">
							<xsl:for-each select="content//channel">
								<xsl:apply-templates select=".">
									<xsl:with-param name="detachedContent" select="'true'"/>
								</xsl:apply-templates>
							</xsl:for-each>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="layout">
		<html><head>
		<title>inductiveModes Developer's Alpha</title>
			<link type="text/css" rel="stylesheet" href="{$mediaPath}/divs/standard.css"/>
			<link type="text/css" rel="stylesheet" href="{$mediaPath}/divs/blue.css"/>
			<link type="text/css" rel="stylesheet" href="{$mediaPath}/divs/layout.css"/>
			<script src="{$mediaPath}/divs/test.js" type="text/javascript"></script>
			<xsl:call-template name="scripts"/>
		</head><body>
			<xsl:apply-templates/>
		</body></html>
	</xsl:template>

	<xsl:template name="scripts">
		<script type="text/javascript">
			var mediaPath = '<xsl:value-of select="$mediaPathControls"/>' + "/";
		</script>
	</xsl:template>

	<xsl:template match="header">
		<xsl:if test="not(/layout/login)">
			<a href="{$baseActionURL}?uP_root=root&amp;uP_reload_layout=true&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=mode&amp;mode=view">
				<xsl:if test="not($mode='view')">
					<xsl:attribute name="onclick">return confirm('Have you saved your changes?\nAre you sure you want to exit preferences?')</xsl:attribute>
				</xsl:if>
				<img src="{$mediaPathIcons}/home.gif" width="24" height="24" alt="Home" title="Home" border="0"/>
			</a>
			<a href="{$baseActionURL}?uP_fname=layout-sitemap&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
				<img src="{$mediaPathIcons}/sitemap.gif" width="24" height="24" alt="View Sitemap" title="View Sitemap" border="0"/>
			</a>
			<xsl:if test="$authorizedChannelPublisher='true'">
				<a href="{$baseActionURL}?uP_fname=portal/channelmanager/general">
					<img width="24" height="24" alt="Channel Manager" title="Channel Manager" src="{$mediaPathIcons}/channelmanager.gif" border="0"/>
				</a>
			</xsl:if>
			<xsl:if test="$userLayoutRoot='root'">
				<xsl:choose>
					<xsl:when test="$mode='view' and $authenticated='true'">
						<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=preferences&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}">
							<img width="24" height="24" alt="Turn on Preferences" title="Turn on Preferences" src="{$mediaPathIcons}/preferences.gif" border="0"/>
						</a>
					</xsl:when>
					<xsl:when test="$mode='preferences'">
						<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=view&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
							<img width="24" height="24" alt="Turn off Preferences" title="Turn off Preferences" src="{$mediaPathIcons}/preferencesoff.gif" border="0"/>
						</a>
						<a href="{$baseActionURL}?uP_sparam=uP_save&amp;uP_save=all">
							<img width="24" height="24" alt="Save Changes" title="Save Changes" src="{$mediaPathControls}/save.gif" border="0"/>
						</a>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
			<a href="Logout" class="uportal-navigation-category">
				<img src="{$mediaPathIcons}/logout.gif" width="24" height="24" alt="Logout" title="Logout" border="0"/>
			</a>
			<div>Welcome <xsl:value-of select="$userName"/></div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="content">

	<xsl:variable name="numCols" select="count(column)"/>

	<xsl:apply-templates>
		<xsl:with-param name="type" select="'column'"/>
	</xsl:apply-templates>

	</xsl:template>

	<xsl:template match="channel">
	<xsl:if test="@minimized != 'true'">

		<div class="channel-window-outside">
		<xsl:attribute name="id">windowID<xsl:value-of select="@ID"/></xsl:attribute>
		<xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
		<div class="channel-window-inside">
			<div class="channel-header">
				<div>
				<xsl:choose>
						<xsl:when test="$selectedID=@ID">
						<span><xsl:value-of select="@title"/></span>
						<xsl:call-template name="channelRestrictions"/>
						</xsl:when>
	
					<xsl:otherwise>
						<span><xsl:value-of select="@title"/></span>
						<xsl:call-template name="channelRestrictions"/>
					</xsl:otherwise>
				</xsl:choose>
				</div>
			</div>
			<div class="channel-content-border">
			<xsl:attribute name="id">channelID<xsl:value-of select="@ID"/></xsl:attribute>
			<div class="channel-content-body">
				<xsl:copy-of select="."/>
			</div></div>
		</div></div>

	</xsl:if>

	<xsl:if test="@minimized = 'true'">
	<div class="channel-window-outside-minimized"><div class="channel-window-inside-minimized">
		<div class="channel-header-minimized">
			<div>
			<xsl:attribute name="id">channelID<xsl:value-of select="@ID"/></xsl:attribute>
			<xsl:choose>
					<xsl:when test="$selectedID=@ID">
					<span><xsl:value-of select="@title"/></span>
					<xsl:call-template name="channelRestrictions"/>
					</xsl:when>

				<xsl:otherwise>
					<span><xsl:value-of select="@title"/></span>
					<xsl:call-template name="channelRestrictions"/>
				</xsl:otherwise>

			</xsl:choose>
			</div>
		</div>
	</div></div>
	</xsl:if>

	</xsl:template>

	<xsl:template match="footer"/>

	<xsl:template match="focusedContent">
	<div class="display-100-percent"><div class="display-padded-column">
		<xsl:apply-templates select="*"/>
	</div></div>
	</xsl:template>

	<xsl:template match="navigation">
	<ul id="tabNavigation">
		<xsl:apply-templates>
			<xsl:with-param name="type" select="'tab'"/>
		</xsl:apply-templates>
	</ul><div style="clear:both; height: 1px;"></div>
	</xsl:template>

<!--
	<xsl:template match="inactiveTab">
		<xsl:choose>
			<xsl:when test="$targetAction='Tab Move' or $targetAction='Channel Move' or $targetAction='Column Move'">
				<a href="{$baseActionURL}?uP_request_move_targets={$selectedID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
					1<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:when test="$targetAction='New Tab' or $targetAction='New Column'">
				<a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
					2<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:when test="$targetAction='New Channel'">
				<a href="{$baseActionURL}?uP_request_add_targets=channel&amp;uP_sparam=channelPublishID&amp;channelPublishID={$channelPublishID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
					3<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}">
					<xsl:value-of select="@name"/>
				</a>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>
-->

	<xsl:template match="inactiveTab">
		<li>
			<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}">
				<xsl:value-of select="@name"/>
			</a>
		</li>
	</xsl:template>

	<xsl:template match="focusedTab">
		<li class="focusedTab">
			<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onclick="return false;">
				<xsl:value-of select="@name"/>
			</a>
		</li>
	</xsl:template>

	<xsl:template match="selectedTab">
		<li>
			<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onclick="return false;" rel="selectedTab">
				<xsl:value-of select="@name"/>
			</a>
		</li>
	</xsl:template>

	<xsl:template match="move_target">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='tab'">
				<!-- Move target Icon for Tabs -->
				<td align="center" valign="bottom" class="uportal-background-content">
					<a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
						<img alt="Click to select target location" title="Click to select target location" src="{$mediaPathControls}/airplanetarget.gif" width="16" height="16" border="0"/>
					</a>
				</td>
				<!-- End Move Target Icon -->
			</xsl:when>
			<xsl:when test="$type='column'">
				<td valign="top">
					<a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
						<img alt="Click to move column here" title="Click to move column here" src="{$mediaPathControls}/add_column_ani.gif" width="22" height="18" border="0"/>
					</a>
				</td>
			</xsl:when>
			<xsl:when test="$type='channel'">
				<table width="100%" border="1" cellspacing="0" cellpadding="4">
					<tr>
						<td align="center">
							<a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
								<img alt="Click to move channel here" title="Click to move channel here" src="{$mediaPathControls}/add_channel_ani.gif" width="22" height="18" border="0"/>
							</a>
						</td>
					</tr>
				</table>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="add_target">
		<!-- Add target Icon in the Tabline -->
		<xsl:if test="$targetRestriction='tab'">
			<td align="center" valign="bottom" class="uportal-background-content">
				<table border="1" cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
						</td>
						<td valign="middle">
							<!-- &amp;uP_sparam=selectedID&amp;selectedID= -->
							<a href="{$baseActionURL}?uP_add_target=folder&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=">
								<img alt="Click to add new tab here" title="Click to add new tab here" src="{$mediaPathControls}/airplanetarget.gif" width="16" height="16" border="0"/>
							</a>
						</td>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
						</td>
					</tr>
					<tr>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="1" height="5"/>
						</td>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
						</td>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
						</td>
					</tr>
					<tr class="uportal-background-shadow">
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="5" height="1"/>
						</td>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
						</td>
						<td>
							<img src="{$mediaPathSkin}/transparent.gif" width="5" height="1"/>
						</td>
					</tr>
				</table>
			</td>
		</xsl:if>
		<!-- End Add Target Icon in the Tabline -->
		<!-- Add target Icon in the Columns -->
		<xsl:if test="$targetRestriction='column'">
			<td align="center" valign="top">
				<table border="1" cellspacing="0" cellpadding="5" class="uportal-background-neutral-light">
					<tr>
						<td valign="top">
							<a href="{$baseActionURL}?uP_add_target=folder&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=">
								<img alt="Click to add new column here" title="Click to add new column here" src="{$mediaPathControls}/add_column_ani.gif" width="22" height="18" border="0"/>
							</a>
						</td>
					</tr>
				</table>
			</td>
		</xsl:if>
		<!-- End Add Target Icon in the Columns -->
		<!-- Add target Icon in the Channels -->
		<xsl:if test="$targetRestriction='channel'">
			<table width="100%" border="1" cellspacing="0" cellpadding="4">
				<tr>
					<td align="center">
						<a href="{$baseActionURL}?uP_add_target=channel&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=">
							<img alt="Click to add new channel here" title="Click to add new channel here" src="{$mediaPathControls}/add_channel_ani.gif" width="22" height="18" border="0"/>
						</a>
					</td>
				</tr>
			</table>
		</xsl:if>
		<!-- End Add Target Icon in the Channels -->
	</xsl:template>
	<xsl:template match="@name" mode="view">
		<td nowrap="nowrap" class="uportal-navigation-category-selected">
			<xsl:value-of select="."/>
		</td>
	</xsl:template>
	<xsl:template match="@name" mode="preferences">
		<td nowrap="nowrap">
			<a class="uportal-navigation-category" href="#">
				<xsl:value-of select="."/>
			</a>
		</td>
	</xsl:template>

	<xsl:template match="login">
		<span class="uportal-channel-title">Welcome Guest - Please Login</span>
		<xsl:copy-of select="channel"/>
	</xsl:template>

	<xsl:template match="actions">
		<table width="100%" cols="1" border="0" align="center" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="9" height="9"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td width="100%">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="9" height="9"/>
				</td>
			</tr>
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathMainBorder}/topleftcornerselected.gif" width="20" height="9"/>
				</td>
				<td style="background-image: url({$mediaPathMainBorder}/topborderselected.gif); background-repeat:repeat-x;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathMainBorder}/toprightcornerselected.gif" width="19" height="9"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
			</tr>
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td style="background-image: url({$mediaPathMainBorder}/headerleftborderselected.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathSkin}/transparent.gif" width="20" height="1"/>
				</td>
				<td nowrap="nowrap" class="uportal-background-selected">
					<span class="uportal-channel-title">User Preferences Actions</span>
				</td>
				<td class="uportal-background-dark" style="background-image: url({$mediaPathMainBorder}/headerrightborderselected.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathSkin}/transparent.gif" width="19" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
			</tr>
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathMainBorder}/headerbottomleftselected.gif" width="20" height="8"/>
				</td>
				<td style="background-image: url({$mediaPathMainBorder}/headerbottomborderselected.gif); background-repeat:repeat-x;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathMainBorder}/headerbottomrightselected.gif" width="19" height="8"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
			</tr>
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td style="background-image: url({$mediaPathMainBorder}/iconbarlinesleft.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td align="left" class="uportal-background-light">
					<span class="uportal-label">
						<xsl:if test="not($targetRestriction='no targetRestriction parameter')">
							<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Cancel <xsl:value-of select="$targetAction"/>
							</a>
							<span> |<xsl:text>&#160;</xsl:text>
							</span>
						</xsl:if>
						<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=view&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Turn Preferences Off</a>
						<span> |<xsl:text>&#160;</xsl:text>
						</span>
						<a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=mode&amp;mode=preferences&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=tab&amp;uP_sparam=targetAction&amp;targetAction=New Tab">New Tab</a>
						<span> |<xsl:text>&#160;</xsl:text>
						</span>
						<a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=mode&amp;mode=preferences&amp;uP_sparam=targetRestriction&amp;targetRestriction=column&amp;uP_sparam=targetAction&amp;targetAction=New Column">New Column</a>
						<span> |<xsl:text>&#160;</xsl:text>
						</span>
						<a href="{$baseActionURL}?uP_fname=contentsubscriber&amp;uPcCS_action=init&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Add Content</a>
						<span> |<xsl:text>&#160;</xsl:text>
						</span>
						<a href="{$baseActionURL}?uP_fname=skinselector&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Skins</a>
						<span> |<xsl:text>&#160;</xsl:text>
						</span>
						<a href="{$baseActionURL}?uP_fname=user-locales-selector&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Languages</a>
						<!--  Profiles action temporarily removed
						<span> |<xsl:text>&#160;</xsl:text>
						</span>
						<a href="javascript:alert('[Profiles] function is under construction')">Profiles</a>
						-->
						<xsl:if test="$authorizedFragmentPublisher='true'">
							<!-- <br/> -->
							<span> |<xsl:text>&#160;</xsl:text>
							</span>
							<a href="{$baseActionURL}?uP_fname=fragment-manager&amp;uPcFM_action=default&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=lastSessionTabID&amp;lastSessionTabID={$focusedTabID}">Fragments</a>
						</xsl:if>
					</span>
				</td>
				<td class="uportal-background-dark" style="background-image: url({$mediaPathMainBorder}/iconbarrightborder.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
			</tr>
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td style="background-image: url({$mediaPathMainBorder}/iconbarlinesleft.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td nowrap="nowrap" class="uportal-background-light">
					<img src="{$mediaPathSkin}/transparent.gif" width="4" height="4"/>
				</td>
				<td class="uportal-background-dark" style="background-image: url({$mediaPathMainBorder}/iconbarrightborder.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
			</tr>
			<xsl:choose>
				<xsl:when test="not($errorMessage='no errorMessage passed')">
					<xsl:call-template name="messageRow"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="statusCheck"/>
				</xsl:otherwise>
			</xsl:choose>
			<tr>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td valign="bottom" style="background-image: url({$mediaPathMainBorder}/iconbarlinesleft.gif); background-repeat:repeat-y;">
				</td>
				<td style="background-image: url({$mediaPathMainBorder}/prefsbottom.gif); background-repeat:repeat-x;">
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
				<td class="uportal-background-dark" style="background-image: url({$mediaPathMainBorder}/iconbarrightborder.gif); background-repeat:repeat-y;">
					<img src="{$mediaPathMainBorder}/prefsbottomright.gif" width="19" height="6"/>
				</td>
				<td>
					<img src="{$mediaPathSkin}/transparent.gif" width="1" height="1"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="statusCheck" />

	<xsl:template name="messageRow">
		<xsl:call-template name="message"/>
	</xsl:template>

	<xsl:template name="message">

		<xsl:param name="messageString" select="$errorMessage"/>
		<xsl:value-of select="$messageString"/>

	</xsl:template>

<!-- ============================================== -->
<!--
	<xsl:template match="column">

		<xsl:choose>
			<xsl:when test="$mode='preferences'">
					<xsl:choose>
						<xsl:when test="@ID=$selectedID">
						</xsl:when>
						<xsl:otherwise>
						</xsl:otherwise>
					</xsl:choose>

					<xsl:call-template name="columnRestrictions"/>
					<xsl:apply-templates>
						<xsl:with-param name="type" select="'channel'"/>
					</xsl:apply-templates>

			</xsl:when>
			<xsl:otherwise>
				start <xsl:apply-templates/> end
			</xsl:otherwise>
		</xsl:choose>
-->
<!-- ============================================== -->

	<xsl:template match="column">

	<xsl:param name="numberOfColumns" select="count(//column)" />
	<xsl:variable name="percentsign">%</xsl:variable>
	<xsl:variable name="nopercentsign"></xsl:variable>
	<xsl:if test="$numberOfColumns &gt; 1">
		<xsl:choose>
		<xsl:when test="//column[last()]/@width = '100%'">
				<div><xsl:attribute name="class">display-<xsl:value-of select="$numberOfColumns"/>-columns</xsl:attribute>
				<div class="display-padded-column">
					<xsl:apply-templates/>
				</div></div>
		</xsl:when>
		<xsl:otherwise>
				<div><xsl:attribute name="class">display-<xsl:value-of select="translate(@width,$percentsign,$nopercentsign)"/>-percent</xsl:attribute>
				<div class="display-padded-column">
					<xsl:apply-templates/>
				</div></div>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:if>

	<xsl:if test="$numberOfColumns=1">
		<xsl:for-each select="column">
			<div class="display-100-percent"><div class="display-padded-column">
				<xsl:apply-templates/>
			</div></div>
		</xsl:for-each>
	</xsl:if>



<!-- ============================================== -->

	</xsl:template>

	<xsl:template name="calculateShrinkColumn">

		<xsl:if test="number(@width)&gt;5">
			<xsl:call-template name="calculateAdjustColumn">
				<xsl:with-param name="increment" select="-5"/>
			</xsl:call-template>
		</xsl:if>

	</xsl:template>

	<xsl:template name="calculateExpandColumn">

		<xsl:if test="number(@width)&lt;95">
			<xsl:call-template name="calculateAdjustColumn">
				<xsl:with-param name="increment" select="5"/>
			</xsl:call-template>
		</xsl:if>

	</xsl:template>

	<xsl:template name="calculateAdjustColumn">
		<!-- The following algorithm computes a new width value that,
			 when normalized with the other widths by the structure stylesheet,
			 will produce the desired width increase increment.
			 For example, if you start with 2 columns, each 50%, and you want to
			 increase one of the columns by 5%, this algorithm would set that
			 column width to 61.11.  When the new values (61.11 and 50) are normalized,
			 you end up with the desired effect: 2 columns at 55% and 45%.
		-->
		<xsl:param name="increment">0</xsl:param>
		<xsl:variable name="width" select="@width"/>
		<xsl:variable name="sum" select="sum(../column/@width)"/>
		<xsl:variable name="newWidth" select="$width + (($increment * $sum) div (100 - $width - $increment))"/>
		<xsl:variable name="thisId" select="@ID"/>
		<xsl:choose>
			<xsl:when test="number($increment) &lt; 0">
				<input name="shrinkColumn" type="image" src="{$mediaPathControls}/columnshrink.gif" width="28" height="25" border="0" alt="Shrink this column by 5%" title="Shrink this column by 5%"/>
			</xsl:when>
			<xsl:otherwise>
				<input name="expandColumn" type="image" src="{$mediaPathControls}/columnexpand.gif" width="28" height="25" border="0" alt="Expand this column by 5%" title="Expand this column by 5%"/>
			</xsl:otherwise>
		</xsl:choose>
		<input type="hidden" name="uP_sparam" value="mode"/>
		<input type="hidden" name="mode" value="{$mode}"/>
		<input type="hidden" name="uP_sparam" value="focusedTabID"/>
		<input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
		<input type="hidden" name="uP_sparam" value="targetRestriction"/>
		<input type="hidden" name="targetRestriction" value="no targetRestriction parameter"/>
		<input type="hidden" name="uP_sfattr" value="width"/>
		<input type="hidden" name="width_folderId" value="{@ID}"/>
		<input type="hidden" name="width_{@ID}_value" value="{$newWidth}"/>
		<xsl:for-each select="../column">
			<xsl:if test="not($thisId = @ID)">
				<input type="hidden" name="uP_sfattr" value="width"/>
				<input type="hidden" name="width_folderId" value="{@ID}"/>
				<input type="hidden" name="width_{@ID}_value" value="{@width}"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="normalizeColumnWidths">
		<form name="form_normalizeColumnWidths" method="post" action="{$baseActionURL}">
			<td>
				<input name="normalizeColumnWidths" type="image" src="{$mediaPathControls}/columnnormalize.gif" width="28" height="25" border="0" alt="Reset column widths" title="Reset column widths"/>
				<input type="hidden" name="uP_sparam" value="mode"/>
				<input type="hidden" name="mode" value="{$mode}"/>
				<input type="hidden" name="uP_sparam" value="focusedTabID"/>
				<input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
				<input type="hidden" name="uP_sparam" value="targetRestriction"/>
				<input type="hidden" name="targetRestriction" value="no targetRestriction parameter"/>
				<xsl:for-each select="../column">
					<xsl:choose>
						<xsl:when test="not(round(100 mod number((count(../column))))=0) and position()=1">
							<input type="hidden" name="uP_sfattr" value="width"/>
							<input type="hidden" name="width_folderId" value="{@ID}"/>
							<input type="hidden" name="width_{@ID}_value" value="{round(100 div number((count(../column))))+1}"/>
						</xsl:when>
						<xsl:otherwise>
							<input type="hidden" name="uP_sfattr" value="width"/>
							<input type="hidden" name="width_folderId" value="{@ID}"/>
							<input type="hidden" name="width_{@ID}_value" value="{round(100 div number((count(../column))))}"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</td>
		</form>
	</xsl:template>
	<!-- - -->
	<!-- - Checkthe immutabe and unremovable attributes and draw the icons accordingly -->
	<!-- - -->
	<xsl:template name="tabRestrictions">
		<xsl:choose>
			<!-- Check if the node is immutable before allowing rename the tab -->
			<xsl:when test="@immutable='false'">
				<input name="uP_target_name" type="text" class="uportal-input-text" value="{@name}">
					<xsl:attribute name="size">
						<xsl:value-of select="string-length(@name)"/>
					</xsl:attribute>
				</input>
				<input type="hidden" name="uP_rename_target" value="{@ID}"/>
				<input type="hidden" name="uP_sparam" value="mode"/>
				<input type="hidden" name="mode" value="{$mode}"/>
				<input type="hidden" name="uP_sparam" value="focusedTabID"/>
				<input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
				<input name="renameTab" type="image" src="{$mediaPathControls}/submit.gif" width="22" height="18" border="0" alt="Submit new tab name" title="Submit new tab name"/>
			</xsl:when>
			<xsl:otherwise>
				<span class="uportal-navigation-category-selected">
					<xsl:value-of select="@name"/>
				</span>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Check if the parent node is immutable before allowing move -->
		<xsl:choose>
			<xsl:when test="/layout/@immutable='false'">
				<img src="{$mediaPathSkin}/transparent.gif" width="8" height="8"/>
				<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=tab&amp;uP_sparam=targetAction&amp;targetAction=Tab Move">
					<img alt="Move this tab" title="Move this tab" src="{$mediaPathControls}/moveicon.gif" width="22" height="18" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<img alt="Move tab is disabled" title="Move tab is disabled" src="{$mediaPathControls}/moveicondisabled.gif" width="22" height="18" border="0"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Language Preferences Removed until Later version of uPortal -->
		<!-- <a href="#"> -->
		<!-- <img alt="Change language for this tab" title="Change language for this tab" src="{$mediaPathControls}/languagesG.gif" width="22" height="18" border="0"/> -->
		<!-- </a> -->
		<!-- Check if the node is unremovable before allowing delete -->
		<xsl:choose>
			<xsl:when test="/layout/@immutable='false' and @unremovable='false'">
				<a href="{$baseActionURL}?uP_remove_target={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onClick="return confirm('Are you sure you want to remove this tab?')">
					<img alt="Remove this tab" title="Remove this tab" src="{$mediaPathControls}/canicon.gif" width="22" height="18" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<img alt="Remove tab is disabled" title="Remove tab is disabled" src="{$mediaPathControls}/canicondisabled.gif" width="22" height="18" border="0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- - -->
	<!-- - Checkthe immutabe and unremovable attributes and draw the icons accordingly -->
	<!-- - -->
	<xsl:template name="columnRestrictions">
		<xsl:choose>
			<xsl:when test="$selectedID=@ID and $targetAction='Column Move'">
				<td>
					<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
						<img src="{$mediaPathControls}/columncancelmove.gif" width="28" height="25" alt="cancel move action" title="cancel move action" border="0"/>
					</a>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="/layout/navigation/focusedTab/@immutable='false'">
						<td>
							<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=column&amp;uP_sparam=targetAction&amp;targetAction=Column Move">
								<img src="{$mediaPathControls}/columnmove.gif" width="28" height="25" alt="Move this column" title="Move this column" border="0"/>
							</a>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<img src="{$mediaPathControls}/columnmovedisabled.gif" width="28" height="25" alt="Move column is disabled" title="Move column is disabled" border="0"/>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Language Button Removed until later version of uPortal
			<td>
			<a href="#">
			<img src="{$mediaPathControls}/columnlanguages.gif" width="28" height="25" alt="Change language for this column" title="Change language for this column" border="0"/>
			</a>
			</td> -->
		<xsl:choose>
			<xsl:when test="@unremovable='false'">
				<td>
					<a href="{$baseActionURL}?uP_remove_target={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onClick="return confirm('Are you sure you want to remove this column?')">
						<img src="{$mediaPathControls}/columncan.gif" width="28" height="25" alt="Delete this column" title="Delete this column" border="0"/>
					</a>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<img src="{$mediaPathControls}/columncandisabled.gif" width="28" height="25" alt="Delete column is disabled" title="Delete column is disabled" border="0"/>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<!-- The conditional below turns off any column width adjustments on immutable tabs -->
		<xsl:if test="/layout/navigation/focusedTab/@immutable='false'">
			<xsl:if test="count(../column)&gt;1">
				<xsl:if test="number(@width)&gt;5">
					<form name="formResizeColumn" method="post" action="{$baseActionURL}">
						<td>
							<xsl:call-template name="calculateShrinkColumn"/>
						</td>
					</form>
				</xsl:if>
				<xsl:if test="number(@width)&lt;95">
					<form name="formResizeColumn" method="post" action="{$baseActionURL}">
						<td>
							<xsl:call-template name="calculateExpandColumn"/>
						</td>
					</form>
				</xsl:if>
				<xsl:call-template name="normalizeColumnWidths"/>
				<td valign="middle" nowrap="nowrap">
					<img src="{$mediaPathSkin}/transparent.gif" width="5" height="1"/>
					<span class="uportal-channel-strong">
						<xsl:value-of select="@width"/>% </span>
				</td>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!-- - -->
	<!-- - Channel Remove -->
	<!-- - -->
	<xsl:template name="channel.action.remove">
		<a href="{$baseActionURL}?uP_remove_target={@ID}" onClick="return confirm('Are you sure you want to remove this channel?')">
			<img alt="remove" title="remove" src="{$mediaPathControls}/contentcan.gif" width="16" height="16" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel Cancel Move Targets -->
	<!-- - -->
	<xsl:template name="channel.action.cancelMove">
		<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
			<img src="{$mediaPathControls}/contentcancelmove.gif" width="16" height="16" alt="Cancel Channel Move" title="Cancel Channel Move" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel Request Move Targets -->
	<!-- - -->
	<xsl:template name="channel.action.requestMoveTargets">
		<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=channel&amp;uP_sparam=targetAction&amp;targetAction=Channel Move">
			<img src="{$mediaPathControls}/contentmove.gif" width="16" height="16" alt="Move this channel" title="Move this channel" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel Set Language on Node -->
	<!-- - -->
	<xsl:template name="channel.action.language">
		<a href="#">
			<img src="{$mediaPathControls}/contentlanguages.gif" width="16" height="16" alt="Change language for this channel" title="Change language for this channel" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel Move not allowed -->
	<!-- - -->
	<xsl:template name="channel.action.moveLocked">
		<img src="{$mediaPathControls}/movedisabled.gif" width="16" height="16" alt="The channel cannot be moved" title="The channel cannot be moved" border="0"/>
	</xsl:template>
	<!-- - -->
	<!-- - Channel Remove not allowed -->
	<!-- - -->
	<xsl:template name="channel.action.removeLocked">
		<img src="{$mediaPathControls}/delete.gif" width="16" height="16" alt="The channel cannot be removed" border="0"/>
	</xsl:template>
	<!-- - -->
	<!-- - Channel about -->
	<!-- - -->
	<xsl:template name="channel.action.about">
		<a href="{$baseActionURL}?uP_about_target={@ID}" title="About">
			<img src="{$mediaPathControls}/about.gif" width="16" height="16" alt="About" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel return to root=root -->
	<!-- - -->
	<xsl:template name="channel.action.root">
		<a href="{$baseActionURL}?uP_root=root" title="Return">
			<img src="{$mediaPathControls}/return.gif" width="16" height="16" alt="Return" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel help  -->
	<!-- - -->
	<xsl:template name="channel.action.help">
		<a href="{$baseActionURL}?uP_help_target={@ID}" title="Help">
			<img src="{$mediaPathControls}/help.gif" width="16" height="16" alt="Help" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel edit -->
	<!-- - -->
	<xsl:template name="channel.action.edit">
		<a href="{$baseActionURL}?uP_edit_target={@ID}" title="Edit">
			<img src="{$mediaPathControls}/edit.gif" width="16" height="16" alt="Edit" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel print -->
	<!-- - -->
	<xsl:template name="channel.action.print">
		<a href="{$baseActionURL}?uP_print_target={@ID}" title="Print">
			<img src="{$mediaPathControls}/print.gif" width="16" height="16" alt="Print" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel focus -->
	<!-- - -->
	<xsl:template name="channel.action.focus">
		<a href="{$baseActionURL}?uP_root={@ID}" id="focus{@ID}" type="focusChannel" rel="windowID{@ID}" title="Focus">
			<img src="{$mediaPathControls}/focus.gif" width="16" height="16" alt="Focus" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel maximize  -->
	<!-- - -->
	<xsl:template name="channel.action.maximize">
		<a href="{$baseActionURL}?uP_tcattr=minimized&amp;minimized_channelId={@ID}&amp;minimized_{@ID}_value=false">
			<img src="{$mediaPathControls}/maximize.gif" width="16" height="16" alt="Maximize" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel minimize -->
	<!-- - -->
	<xsl:template name="channel.action.minimize">
		<a href="{$baseActionURL}?uP_tcattr=minimized&amp;minimized_channelId={@ID}&amp;minimized_{@ID}_value=true" id="minmax{@ID}" type="minmaxChannel" rel="channelID{@ID}" title="Minimize">
			<img src="{$mediaPathControls}/minimize.gif" width="16" height="16" alt="Minimize" border="0" />
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Channel detach  -->
	<!-- - -->
	<xsl:template name="channel.action.detach">
		<a href="{$baseActionURL}?uP_detach_target={@ID}" id="detach{@ID}" type="detachChannel" rel="windowID{@ID}" title="Detach">
			<img src="{$mediaPathControls}/detach.gif" width="16" height="16" alt="Detach" border="0"/>
		</a>
	</xsl:template>
	<!-- - -->
	<!-- - Check the attributes and parameters and draw the icons accordingly -->
	<!-- - -->
	<xsl:template name="channelRestrictions">
		<xsl:choose>
			<xsl:when test="$mode='preferences' and $userLayoutRoot='root'">
				<!-- Conditionals for Preferences Mode -->
				<xsl:choose>
					<xsl:when test="$selectedID=@ID and $targetAction='Channel Move'">
						<xsl:call-template name="channel.action.cancelMove"/>
					</xsl:when>
					<xsl:when test="not(../@immutable='false')">
						<xsl:call-template name="channel.action.moveLocked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.requestMoveTargets"/>
					</xsl:otherwise>
				</xsl:choose>
				<!-- Language preferences removed until later version of uPortal -->
				<xsl:choose>
					<xsl:when test="not(../@immutable='false') or not(../@unremovable='false')">
						<xsl:call-template name="channel.action.removeLocked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.remove"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="not($userLayoutRoot='root')">
				<!-- <xsl:call-template name="focusedControls"/> -->
				<xsl:call-template name="channel.action.root"/>
				<xsl:if test="not(@hasHelp='false')">
					<xsl:call-template name="channel.action.help"/>
				</xsl:if>
				<xsl:if test="not(@hasAbout='false')">
					<xsl:call-template name="channel.action.about"/>
				</xsl:if>
				<xsl:if test="not(@editable='false')">
					<xsl:call-template name="channel.action.edit"/>
				</xsl:if>
				<xsl:if test="@printable='true'">
					<xsl:call-template name="channel.action.print"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<!-- <xsl:call-template name="controls"/> -->
				<xsl:call-template name="channel.action.focus"/>
				<xsl:call-template name="channel.action.detach"/>
				<xsl:if test="not(@hasHelp='false')">
					<xsl:call-template name="channel.action.help"/>
				</xsl:if>
				<xsl:if test="not(@hasAbout='false')">
					<xsl:call-template name="channel.action.about"/>
				</xsl:if>
				<xsl:if test="not(@editable='false')">
					<xsl:call-template name="channel.action.edit"/>
				</xsl:if>
				<xsl:if test="@printable='true'">
					<xsl:call-template name="channel.action.print"/>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="@minimized='true'">
						<xsl:call-template name="channel.action.maximize"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.minimize"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="not(../@immutable='false') or not(../@unremovable='false')">
						<xsl:call-template name="channel.action.removeLocked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.remove"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="detachedChannelControls">
		<xsl:if test="not(@hasHelp='false')">
			<xsl:call-template name="channel.action.help"/>
		</xsl:if>
		<xsl:if test="not(@hasAbout='false')">
			<xsl:call-template name="channel.action.about"/>
		</xsl:if>
		<xsl:if test="not(@editable='false')">
			<xsl:call-template name="channel.action.edit"/>
		</xsl:if>
		<xsl:if test="@printable='true'">
			<xsl:call-template name="channel.action.print"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>