var focusedChannel;
var thisColumnClass = new Array();
var minimizedChannels = new Array();
var originialTitle = document.title;

function setLinkControllers() {
	if (document.getElementById && document.createElement) {
		var anchors = document.getElementsByTagName("a");
		var onClickAction = "";
	
		for (i=0; i<anchors.length; i++) {
			var anchor = anchors[i];
			if ((anchor.href) && (anchor.type == "detachChannel")) {
				onClickAction = "return true;";
//				onClickAction = "detachChannel('" + anchor.href + "', '" + anchor.rel + "', '" + anchor.id + "'); return false;";
//				onClickAction = "detachChannel('" + anchor.rel + "', '" + anchor.id + "'); return false;";
			}
			if ((anchor.href) && (anchor.type == "focusChannel")) {
				onClickAction = "focusChannel('" + anchor.rel + "', '" + anchor.id + "'); return false;";
			}
			if ((anchor.href) && (anchor.type == "minmaxChannel")) {
				onClickAction = "toggleChannel('" + anchor.rel + "', '" + anchor.id + "', 'true'); return false;";
			}
			if (onClickAction != "") {
				anchor.onclick = new Function(onClickAction);
			}
		}
	}
}

function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass(elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/, "");
}

function toggleChannel(channelID, icon, cookie) {
	var thisChannel = document.getElementById(channelID);
	if (!thisChannel) { return; }
	var thisIcon = document.getElementById(icon);

	if (thisChannel.style.display == "none") {
		deleteMinChannel(channelID);
		thisIcon.title = "Minimize";
		thisIcon.firstChild.src = mediaPath + "minimize.gif";
		thisChannel.style.display = "block";
		removeClassName(thisChannel.previousSibling, "channel-header-minimized");
		addCSSClass(thisChannel.previousSibling, "channel-header");
		removeClassName(thisChannel.parentNode, "channel-window-inside-minimized");
		addCSSClass(thisChannel.parentNode, "channel-window-inside");
		removeClassName(thisChannel.parentNode.parentNode, "channel-window-outside-minimized");
		addCSSClass(thisChannel.parentNode.parentNode, "channel-window-outside");
	} else {
		addMinChannel(channelID);
		thisIcon.title = "Maximize";
		thisIcon.firstChild.src = mediaPath + "maximize.gif";
		thisChannel.style.display = "none";
		removeClassName(thisChannel.previousSibling, "channel-header");
		addCSSClass(thisChannel.previousSibling, "channel-header-minimized");
		removeClassName(thisChannel.parentNode, "channel-window-inside");
		addCSSClass(thisChannel.parentNode, "channel-window-inside-minimized");
		removeClassName(thisChannel.parentNode.parentNode, "channel-window-outside");
		addCSSClass(thisChannel.parentNode.parentNode, "channel-window-outside-minimized");
	}
}

function addMinChannel(channelID) {
	minimizedChannels.push(channelID);
}

function deleteMinChannel(channelID) {
	for (i=0; i<minimizedChannels.length; i++) {
		if (minimizedChannels[i] == channelID) {
			minimizedChannels.splice([i], 1);
		}
	}
}

function focusChannel(windowID, icon) {
	var windowTitle = document.getElementById(windowID).title;
	var theTabs = document.getElementById("tabNavigation")
	var allDivs = document.getElementsByTagName("div")
	var thisIcon = document.getElementById(icon);
	var allWindows = new Array();

	for (i=0; i<allDivs.length; i++) {
		thisArray = 0;
		if (allDivs[i].id.match(/[\w\s]*windowID[\w\s]*/)) {
			allWindows.push(allDivs[i]);
		}
	}

	if (focusedChannel == windowID) {
		theTabs.style.display = "block"; focusedChannel = ""; document.title = originialTitle;
		for (j=0; j<allWindows.length; j++) {
			allWindows[j].style.display = "block";
			thisIcon.firstChild.src = mediaPath + "focus.gif";
			addCSSClass(allWindows[j].parentNode.parentNode, thisColumnClass[j]);
			removeClassName(allWindows[j].parentNode.parentNode, "display-100-percent");
		}
	} else {
		theTabs.style.display = "none"; focusedChannel = windowID; document.title = windowTitle;
		for (j=0; j<allWindows.length; j++) {
			if (allWindows[j].id != windowID) {
				allWindows[j].style.display = "none";
				thisIcon.firstChild.src = mediaPath + "return.gif";
				thisColumnClass[j] = allWindows[j].parentNode.parentNode.className;
				removeClassName(allWindows[j].parentNode.parentNode, thisColumnClass[j]);
			}
			if (allWindows[j].id == windowID) {
				thisColumnClass[j] = allWindows[j].parentNode.parentNode.className;
				removeClassName(allWindows[j].parentNode.parentNode, thisColumnClass[j]);
				addCSSClass(allWindows[j].parentNode.parentNode, "display-100-percent");
			}
		}
	}
}

window.onload = function() {
	setLinkControllers();
}